<?php
date_default_timezone_set('PRC');
include 'config.php';
include 'text_auth.php';
include 'func.php';
include 'shouquan.php';

echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n<head>\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=GB2312\">\r\n<title>网站地图</title>\r\n<style type=\"text/css\">\r\n\tbody {font-family: Verdana;FONT-SIZE: 12px;MARGIN: 0;color: #000000;background: #ffffff;}\r\n\timg {border:0;}\r\n\tli {margin-top: 8px;}\r\n\t.page {padding: 4px; border-top: 1px #EEEEEE solid}\r\n\t.author {background-color:#EEEEFF; padding: 6px; border-top: 1px #ddddee solid}\r\n\t#nav, #content, #end {padding: 8px; border: 1px solid #EEEEEE; clear: both; width: 95%; margin: auto; margin-top: 10px;}\r\n\t#header, #footer { margin-top: 20px; }\r\n\t#loginform {text-align: center;}\r\n\t#powerby {text-align: center;}\r\n</style>\r\n</head>\r\n<body vlink=\"#333333\" link=\"#333333\">\r\n<center id=\"header\">\r\n<h2>网站地图</h2>\r\n</center><div id=\"nav\">\r\n\t<a href=\"/\">返回首页</a>\r\n</div>\r\n<div id=\"content\">\r\n";
$date = date( "Y-m-d" );
 $keyDir = './data/keyword';
 $keywordw = myRand(myreaddir($keyDir));
$keyword = duqu($keyDir . '/' . $keywordw, 88);
$suijici = array();
        foreach ($keyword as $key => $v) {
            $suijici[] = $keyword[$key];
        }
$domain = $_SERVER['SERVER_NAME'];


$link = array();
			if (constant("jingtai") == 1) {
					foreach ($keyword as $key => $v) {
            		$link[] = 'show-'.strtolower(suiji(mt_rand(3, 8))).'.html';
        			}
			}else{
					foreach ($keyword as $key => $v) {
            		$link[] = 'show.php?id='.strtolower(suiji(mt_rand(3, 8)));
        			}
			}
$i = 0;
for ( ;	$i < 40;	++$i	)
{
	//$kwdnum = mt_rand( 0, count( $keywords ) - 1 );
	//$ymnum = mt_rand( 0, count( $domain ) - 1 );
	echo "<li><a href=\"http://".$domain."/".trim( $link[$i] )."\">".trim( $suijici[$i] )."</a>&nbsp;&nbsp;".$date."</li>\n";
}
echo "\r\n</div>\r\n<div id=\"end\">\r\n\t查看下一页:\r\n\t<a href=\"/sitemap";
echo mt_rand( 100, 1000 );
echo ".html\" target=\"_blank\">下一页</a>\r\n</div>\r\n<br />\r\n<div id=\"powerby\">CopyRight ".$domain." 版权所有 &copy;2013-2018</div>\r\n\r\n<div style=\"display:none\">\r\n<script language=\"javascript\" type=\"text/javascript\" src=\"tj.js\"></script>\r\n</div>\r\n</body>\r\n</html>\r\n";
?>
